diff --git a/src/include/replication/decode.h b/src/include/replication/decode.h
index 2ef17790205..188f1a875f7 100644
--- a/src/include/replication/decode.h
+++ b/src/include/replication/decode.h
@@ -22,7 +22,6 @@ typedef struct XLogRecordBuffer
 } XLogRecordBuffer;
 
 extern void xlog_decode(LogicalDecodingContext *ctx, XLogRecordBuffer *buf);
-extern void xlog2_decode(LogicalDecodingContext *ctx, XLogRecordBuffer *buf);
 extern void heap_decode(LogicalDecodingContext *ctx, XLogRecordBuffer *buf);
 extern void heap2_decode(LogicalDecodingContext *ctx, XLogRecordBuffer *buf);
 extern void xact_decode(LogicalDecodingContext *ctx, XLogRecordBuffer *buf);
diff --git a/src/include/storage/checksum.h b/src/include/storage/checksum.h
index 3b1440c0c95..00d4ebc27c5 100644
--- a/src/include/storage/checksum.h
+++ b/src/include/storage/checksum.h
@@ -16,19 +16,16 @@
 #include "storage/block.h"
 
 /*
- * Checksum state 0 is used for when data checksums are disabled (OFF).
- * PG_DATA_CHECKSUM_INPROGRESS_{ON|OFF} defines that data checksums are either
- * currently being enabled or disabled, and PG_DATA_CHECKSUM_VERSION defines
- * that data checksums are enabled.  The ChecksumStateType is stored in
- * pg_control so changing requires a catversion bump, and the values cannot
- * be reordered.  New states must be added at the end.
+ * Checksum state 0 is used for when data checksums are disabled (OFF), and
+ * PG_DATA_CHECKSUM_VERSION defines that data checksums are enabled.  The
+ * ChecksumStateType is stored in pg_control so changing requires a catversion
+ * bump, and the values cannot be reordered.  New states must be added at the
+ * end.
  */
 typedef enum ChecksumStateType
 {
 	PG_DATA_CHECKSUM_OFF = 0,
 	PG_DATA_CHECKSUM_VERSION = 1,
-	PG_DATA_CHECKSUM_INPROGRESS_OFF = 2,
-	PG_DATA_CHECKSUM_INPROGRESS_ON = 3,
 } ChecksumStateType;
 
 /*
diff --git a/src/include/storage/lwlocklist.h b/src/include/storage/lwlocklist.h
index d7eb648bd27..272cffb0567 100644
--- a/src/include/storage/lwlocklist.h
+++ b/src/include/storage/lwlocklist.h
@@ -87,7 +87,6 @@ PG_LWLOCK(52, SerialControl)
 PG_LWLOCK(53, AioWorkerSubmissionQueue)
 PG_LWLOCK(54, WaitLSN)
 PG_LWLOCK(55, LogicalDecodingControl)
-PG_LWLOCK(56, DataChecksumsWorker)
 PG_LWLOCK(57, AioWorkerControl)
 
 /*
diff --git a/src/include/storage/procsignal.h b/src/include/storage/procsignal.h
index aaa158bfd66..0a30ac05114 100644
--- a/src/include/storage/procsignal.h
+++ b/src/include/storage/procsignal.h
@@ -50,10 +50,6 @@ typedef enum
 	PROCSIGNAL_BARRIER_SMGRRELEASE, /* ask smgr to close files */
 	PROCSIGNAL_BARRIER_UPDATE_XLOG_LOGICAL_INFO,	/* ask to update
 													 * XLogLogicalInfo */
-	PROCSIGNAL_BARRIER_CHECKSUM_OFF,
-	PROCSIGNAL_BARRIER_CHECKSUM_INPROGRESS_ON,
-	PROCSIGNAL_BARRIER_CHECKSUM_INPROGRESS_OFF,
-	PROCSIGNAL_BARRIER_CHECKSUM_ON,
 } ProcSignalBarrierType;
 
 /*
diff --git a/src/include/storage/subsystemlist.h b/src/include/storage/subsystemlist.h
index 9ad619080be..1b07e4bc957 100644
--- a/src/include/storage/subsystemlist.h
+++ b/src/include/storage/subsystemlist.h
@@ -84,7 +84,6 @@ PG_SHMEM_SUBSYSTEM(InjectionPointShmemCallbacks)
 #endif
 PG_SHMEM_SUBSYSTEM(WaitLSNShmemCallbacks)
 PG_SHMEM_SUBSYSTEM(LogicalDecodingCtlShmemCallbacks)
-PG_SHMEM_SUBSYSTEM(DataChecksumsShmemCallbacks)
 
 /* AIO subsystem. This delegates to the method-specific callbacks */
 PG_SHMEM_SUBSYSTEM(AioShmemCallbacks)
diff --git a/src/include/utils/backend_progress.h b/src/include/utils/backend_progress.h
index 61e13c40e28..6300dbd15d5 100644
--- a/src/include/utils/backend_progress.h
+++ b/src/include/utils/backend_progress.h
@@ -28,7 +28,6 @@ typedef enum ProgressCommandType
 	PROGRESS_COMMAND_BASEBACKUP,
 	PROGRESS_COMMAND_COPY,
 	PROGRESS_COMMAND_REPACK,
-	PROGRESS_COMMAND_DATACHECKSUMS,
 } ProgressCommandType;
 
 #define PGSTAT_NUM_PROGRESS_PARAM	20
diff --git a/src/test/modules/Makefile b/src/test/modules/Makefile
index bb88b3058ed..a11f352f70b 100644
--- a/src/test/modules/Makefile
+++ b/src/test/modules/Makefile
@@ -21,7 +21,6 @@ SUBDIRS = \
 		  test_bitmapset \
 		  test_bloomfilter \
 		  test_cloexec \
-		  test_checksums \
 		  test_copy_callbacks \
 		  test_custom_rmgrs \
 		  test_custom_stats \
diff --git a/src/test/modules/meson.build b/src/test/modules/meson.build
index ce09e00531d..0e8c730ed8f 100644
--- a/src/test/modules/meson.build
+++ b/src/test/modules/meson.build
@@ -21,7 +21,6 @@ subdir('test_binaryheap')
 subdir('test_bitmapset')
 subdir('test_bloomfilter')
 subdir('test_cloexec')
-subdir('test_checksums')
 subdir('test_copy_callbacks')
 subdir('test_cplusplusext')
 subdir('test_custom_rmgrs')
diff --git a/src/tools/pgindent/typedefs.list b/src/tools/pgindent/typedefs.list
index bcf981a02a2..9d499c5665b 100644
--- a/src/tools/pgindent/typedefs.list
+++ b/src/tools/pgindent/typedefs.list
@@ -438,7 +438,6 @@ CheckPointStmt
 CheckpointStatsData
 CheckpointerRequest
 CheckpointerShmemStruct
-ChecksumBarrierCondition
 ChecksumStateType
 Chromosome
 CkptSortItem
@@ -632,10 +631,6 @@ DSMRegistryCtxStruct
 DSMRegistryEntry
 DWORD
 DWORD64
-DataChecksumsStateStruct
-DataChecksumsWorkerDatabase
-DataChecksumsWorkerOperation
-DataChecksumsWorkerResult
 DataDirSyncMethod
 DataDumperPtr
 DataPageDeleteStack
@@ -4478,7 +4473,6 @@ xl_btree_unlink_page
 xl_btree_update
 xl_btree_vacuum
 xl_checkpoint_redo
-xl_checksum_state
 xl_clog_truncate
 xl_commit_ts_truncate
 xl_dbase_create_file_copy_rec
-- 
2.39.3 (Apple Git-146)

